<nz-input-group [nzAddOnBefore]="label" [ngClass]="{block:block}">
  <input nz-input [(ngModel)]="value" (ngModelChange)="onChange()" [placeholder]="placeholder" [nzAutocomplete]="auto"
    [disabled]="disabled"  (keyup.enter)="onEnter()" [type]="password?'password':'text'">
</nz-input-group>

<nz-autocomplete [nzDataSource]="options" nzBackfill #auto></nz-autocomplete>
